// ETT.co.th (digitalLevel)
// 0-0.8 --> 0 : RED
// 0.9-1.9 --> n/a : YELLOW
// 2-5 --> 1 : GREEN
#define pinADC A0
#define LED_RED 2
#define LED_YELLOW  3
#define LED_GREEN 5
#define ADC_BITS 12

void setup() {
  Serial.begin(9600);
  pinMode( LED_RED, OUTPUT );
  pinMode( LED_YELLOW, OUTPUT );
  pinMode( LED_GREEN, OUTPUT );
  pinMode( pinADC, INPUT );

  analogReadResolution(ADC_BITS);
  analogReference(DEFAULT);  // 5v  
}

void loop() {
  int aValue = analogRead( pinADC );
  float approxVDC = 5.0*(aValue/4095.0);
  Serial.print(approxVDC);
  Serial.print(",");
  Serial.println(aValue);
  if (approxVDC < 0.9) {
    digitalWrite(LED_RED, LOW);
    digitalWrite(LED_YELLOW, HIGH);
    digitalWrite(LED_GREEN, HIGH);
  } else if (approxVDC < 2.0) {
    digitalWrite(LED_RED, HIGH);
    digitalWrite(LED_YELLOW, LOW);
    digitalWrite(LED_GREEN, HIGH);
  } else {
    digitalWrite(LED_RED, HIGH);
    digitalWrite(LED_YELLOW, HIGH);
    digitalWrite(LED_GREEN, LOW);
  }
  //delay(10); // 100 samples per second
}

