// ETT.co.th (Traffic-Lights)
#define LED_RED 2
#define LED_YELLOW  3
#define LED_GREEN 5
#define CMD_IDLE 6
#define CMD_START 7

uint8_t status;
uint8_t led_status;
uint8_t light_status;

void setup() {
  status = 1;
  led_status = LOW;
  light_status = 0;
  pinMode( LED_RED, OUTPUT );
  pinMode( LED_YELLOW, OUTPUT );
  pinMode( LED_GREEN, OUTPUT );
  pinMode( CMD_IDLE, INPUT_PULLUP );
  pinMode( CMD_START, INPUT_PULLUP );
}

void loop() {
  if (digitalRead( CMD_IDLE )==0) {
    status = 0;
  }
  else if (digitalRead( CMD_START )==0) {
    status = 1;
    light_status = 0;
  }
  if (status) {
    if (light_status < 20)  {
      digitalWrite(LED_RED, HIGH);
      digitalWrite(LED_GREEN, LOW);
      digitalWrite(LED_YELLOW, HIGH);
      light_status++;
    } else if (light_status < 30) {
      digitalWrite(LED_RED, HIGH);
      digitalWrite(LED_GREEN, HIGH);
      digitalWrite(LED_YELLOW, LOW);
      light_status++;
    } else if (light_status < 50) {
      digitalWrite(LED_RED, LOW);
      digitalWrite(LED_GREEN, HIGH);
      digitalWrite(LED_YELLOW, HIGH);
      light_status++;
    } else if (light_status == 50) {
      light_status=0;
    }
  } else {
    digitalWrite( LED_RED, HIGH); // off
    digitalWrite( LED_GREEN, HIGH); // off
    digitalWrite( LED_YELLOW, led_status);
    led_status = HIGH-led_status;
  }
  delay(100);
}
